<?php
/*
 Title: Minage
 Version: 1.0
 Author: Ben Johnson (ben@popator.com)
 Website: http://www.popator.com/
 License: Creative Commons Attribution-NoDerivs http://creativecommons.org/licenses/by-nd/2.5/
 Description: Minage is a Community Builder plugin that enables users to require new registrations meet a certain age threshold.
 For support, questions, comments, and further instructions please visit popator.com.
*/
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
$_PLUGINS->registerFunction( 'onBeforeUserRegistration', 'doMinAge','minAge');

class minAge extends cbTabHandler {
	function minAge() {
		$this->cbTabHandler();
	}

	function doMinAge(&$row, &$rowextras) {
		global $_PLUGINS;
		$params = $this->params;
		$ma_enabled = $params->get('minAgeEnabled', "1");
		if ($ma_enabled != "0") {
			$ma_age=$params->get('minAge',"14");
			$ma_field=$params->get('minAgeField',"cb_birthdate");
			$ma_begin_year=date('Y')-$ma_age;
			$ma_year=mktime(FALSE,FALSE,FALSE,date("m"),date("d"),$ma_begin_year);
			$ma_birth=strtotime($rowextras->$ma_field);
			if ($ma_birth > $ma_year) {
				$ma_pretext=$params->get('minAgePreText',"You must be at least");
				$ma_posttext=$params->get('minAgePostText',"years old to join!");
				$_PLUGINS->raiseError(0);
				$_PLUGINS->_setErrorMSG($ma_pretext." $ma_age ".$ma_posttext);
			}
		}
	}
}
?>
